use euler::prime;

fn solution() -> Option<u64> {
    return prime::trial_factorization(600851475143).last().cloned();
}

#[cfg(test)]
mod tests {
    use euler::problem_003::solution;

    #[test]
    fn problem_003() {
        assert_eq!(solution().unwrap(), 6857);
    }
}